Bug 490961 - Regression: fail to open remote x windows over "ssh -Y" session
Regression: fail to open remote x windows over "ssh -Y" session
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 13:20 EDT by John Ellson
Modified: 2018-04-11 09:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 12:37:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2009-03-18 13:20:48 EDT
Description of problem:
Attempts to open a remote X window over a "ssh -Y" session fail with:
  X11 connection rejected because of wrong authentication.


Version-Release number of selected component (if applicable):
xorg-x11-server-common-1.6.0-13.fc11.x86_64.rpm
xorg-x11-server-devel-1.6.0-13.fc11.x86_64.rpm
xorg-x11-server-source-1.6.0-13.fc11.x86_64.rpm
xorg-x11-server-Xdmx-1.6.0-13.fc11.x86_64.rpm
xorg-x11-server-Xephyr-1.6.0-13.fc11.x86_64.rpm
xorg-x11-server-Xnest-1.6.0-13.fc11.x86_64.rpm
xorg-x11-server-Xorg-1.6.0-13.fc11.x86_64.rpm
xorg-x11-server-Xvfb-1.6.0-13.fc11.x86_64.rpm



How reproducible:
100%

Steps to Reproduce:
1. ssh -Y <some rawhide host>
2. in the ssh session:   xterm
3.
  
Actual results:
X11 connection rejected because of wrong authentication.
xterm Xt error: Can't open display: localhost:10.0


Expected results:
locally open X window

Additional info:
Workaround is to revert to: 
xorg-x11-server-common-1.6.0-9.fc11.x86_64.rpm
xorg-x11-server-devel-1.6.0-9.fc11.x86_64.rpm
xorg-x11-server-source-1.6.0-9.fc11.x86_64.rpm
xorg-x11-server-Xdmx-1.6.0-9.fc11.x86_64.rpm
xorg-x11-server-Xephyr-1.6.0-9.fc11.x86_64.rpm
xorg-x11-server-Xnest-1.6.0-9.fc11.x86_64.rpm
xorg-x11-server-Xorg-1.6.0-9.fc11.x86_64.rpm
xorg-x11-server-Xvfb-1.6.0-9.fc11.x86_64.rpm
Comment 1 Bug Zapper 2009-06-09 08:21:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Pete Zaitcev 2009-07-21 21:12:06 EDT
I saw that too. Recreating .Xauthority helped. I think something we did
before F11 forked made it incompatible.

John, can you check if removing .Xauthority helps?
Comment 3 Matěj Cepl 2009-11-05 13:23:26 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Matěj Cepl 2010-02-26 07:25:54 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 5 John Ellson 2010-02-26 10:50:37 EST
I can no longer reproduce this bug.
Comment 6 Matěj Cepl 2010-03-02 12:37:40 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.